Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 NetUI Controls Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0
element handlePageFlowEvent

Model
  `<handlePageFlowEvent
  action = string
  description = string
  eventLabel = `{string: pattern = (\p{L}|_|\$)(\p{L}|_|\$|\p{Nd})*}`
  filterable = boolean
  fromSelfInstanceOnly = boolean
  onlyIfDisplayed = boolean
  sourceDefinitionLabels = string
  sourceDefinitionWildcard = `"this" | "any"`
  >
  changeWindowState | changeWindowMode | activatePage | invokePageFlowAction | invokeStrutsAction | fireCustomEvent | fireEvent | invokeBackingFileMethod | dispatchToRemotePortlet | invokeJavaPortletMethod*
  </handlePageFlowEvent>`

Disallowed substitutions (block)
  none (extensions, restrictions and substitutions are allowed)

Substitution group exclusion (final)
  none (extensions and restrictions are allowed)

Content Type
  declared by type handlePageFlowEventType
  element-only content, not nillable.

Usage
  This element can be the root element of XML instance documents.
  This element can be a child of the following elements: javaPortlet, abstractPortlet, portlet, webflowPortlet, proxyPortlet.

Nested Element Summary
choice 0...∞ |
`changeWindowStateType` | `changeWindowState`
`changeWindowModeType` | `changeWindowMode`
`activatePageType` | `activatePage`
`invokePageFlowActionType` | `invokePageFlowAction`
`invokeStrutsActionType` | `invokeStrutsAction`
`fireCustomEventType` | `fireCustomEvent`
`fireEventType` | `fireEvent`
`invokeBackingFileMethodType` | `invokeBackingFileMethod`
`dispatchToRemotePortletType` | `dispatchToRemotePortlet`
`invokeJavaPortletMethodType` | `invokeJavaPortletMethod`

Attribute Summary
`string` | `action`
`string` | `description`
`annonymous type derived from string` | `eventLabel`
`boolean` | `filterable`
`boolean` | `fromSelfInstanceOnly`
`boolean` | `onlyIfDisplayed`
`string` | `sourceDefinitionLabels`
`annonymous type derived from string` | `sourceDefinitionWildcard`

Attribute Detail

### action

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### description

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### eventLabel

Model
  `{string: pattern = (\p{L}|_|\$)(\p{L}|_|\$|\p{Nd})*}`

Attribute Usage
  required

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  preserve

Pattern Facet
  `(\p{L}|_|\$)(\p{L}|_|\$|\p{Nd})*`

### filterable

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### fromSelfInstanceOnly

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### onlyIfDisplayed

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### sourceDefinitionLabels

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### sourceDefinitionWildcard

Model
  `"this" | "any"`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  preserve

Enumeration Facet
  `"this", "any"`

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 NetUI Controls Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1